Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.table
Class SortableTableColumn

    java.lang.Object
      nextapp.echo2.app.table.TableColumn
          echopointng.table.SortableTableColumn

All Implemented Interfaces:
  java.io.Serializable

    public class SortableTableColumn

extends TableColumn

`TableColumn` class that supports a `Comparator` property. The default is a simple Object.toString() comparator.

See Also:
  Serialized Form

Field Summary
`static java.util.Comparator` | `DEFAULT_COMPARATOR`

Fields inherited from class nextapp.echo2.app.table.TableColumn
`CELL_RENDERER_CHANGED_PROPERTY, HEADER_RENDERER_CHANGED_PROPERTY, HEADER_VALUE_CHANGED_PROPERTY, IDENTIFIER_CHANGED_PROPERTY, MODEL_INDEX_CHANGED_PROPERTY, WIDTH_CHANGED_PROPERTY`

Constructor Summary
`SortableTableColumn(int modelIndex)`
`SortableTableColumn(int modelIndex, Extent width)`
`SortableTableColumn(int modelIndex, Extent width, TableCellRenderer cellRenderer, TableCellRenderer headerRenderer)`

Method Summary
`java.util.Comparator` | `getComparator()`
`TableCellRenderer` | `getHeaderRenderer()` Returns the `TableCellRenderer` used to render the header cell of this column.
`void` | `setComparator(java.util.Comparator comparator)`

Methods inherited from class nextapp.echo2.app.table.TableColumn
`addPropertyChangeListener, getCellRenderer, getHeaderValue, getIdentifier, getModelIndex, getWidth, removePropertyChangeListener, setCellRenderer, setHeaderRenderer, setHeaderValue, setIdentifier, setModelIndex, setWidth`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_COMPARATOR

    public static final java.util.Comparator DEFAULT_COMPARATOR

Constructor Detail

### SortableTableColumn

    public SortableTableColumn(int modelIndex)

### SortableTableColumn

    public SortableTableColumn(int modelIndex,
                               Extent width)

### SortableTableColumn

    public SortableTableColumn(int modelIndex,
                               Extent width,
                               TableCellRenderer cellRenderer,
                               TableCellRenderer headerRenderer)

Method Detail

### getHeaderRenderer

    public TableCellRenderer getHeaderRenderer()

  Description copied from class: `TableColumn`
  Returns the `TableCellRenderer` used to render the header cell of this column. The value of this property may be null, in which case the table should revert to using its default cell renderer.

  Overrides:
    `getHeaderRenderer` in class `TableColumn`
  Returns:
    the header cell renderer for this column
  See Also:
    `TableColumn.getHeaderRenderer()`

### getComparator

    public java.util.Comparator getComparator()

### setComparator

    public void setComparator(java.util.Comparator comparator)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD